--- /dev/null	Sat May 10 12:10:14 2014
+++ new/usr/src/man/man3m/frexp.3m	Sat May 10 12:10:14 2014
@@ -0,0 +1,82 @@
+'\" te
+.\" Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
+.\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
+.\" Copyright 1989 AT&T
+.\" Portions Copyright (c) 2006, Sun Microsystems, Inc. All Rights Reserved.
+.\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at 
+.\" http://www.opengroup.org/bookstore/.
+.\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
+.\"  This notice shall appear on any product containing this material.
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH frexp 3M "12 Jul 2006" "SunOS 5.11" "Mathematical Library Functions"
+.SH NAME
+frexp, frexpf, frexpl \- extract mantissa and exponent from a floating-point
+number
+.SH SYNOPSIS
+.LP
+.nf
+c99 [ \fIflag\fR... ] \fIfile\fR... \fB-lm\fR [ \fIlibrary\fR... ]
+#include <math.h>
+
+\fBdouble\fR \fBfrexp\fR(\fBdouble\fR \fInum\fR, \fBint *\fR\fIexp\fR);
+.fi
+
+.LP
+.nf
+\fBfloat\fR \fBfrexpf\fR(\fBfloat\fR \fInum\fR, \fBint *\fR\fIexp\fR);
+.fi
+
+.LP
+.nf
+\fBlong double\fR \fBfrexpl\fR(\fBlong double\fR \fInum\fR, \fBint *\fR\fIexp\fR);
+.fi
+
+.SH DESCRIPTION
+.sp
+.LP
+These functions break a floating-point number into a normalized fraction and an
+integral power of 2. They store the integer exponent in the \fBint\fR object
+pointed to by \fIexp\fR.
+.SH RETURN VALUES
+.sp
+.LP
+For finite arguments, these functions return the value \fIx\fR, such that
+\fIx\fR is a \fBdouble\fR with magnitude in the interval [\(12, 1) or 0, and
+\fInum\fR equals \fIx\fR times 2 raised to the power *\fIexp\fR.
+.sp
+.LP
+If \fInum\fR is NaN, NaN is returned and the value of *\fIexp\fR is
+unspecified.
+.sp
+.LP
+If \fInum\fR is \(+- 0, \(+- 0 is returned and the value of *\fIexp\fR is 0.
+.sp
+.LP
+If \fInum\fR is \(+-Inf, \fInum\fR is returned and the value of *\fIexp\fR is
+unspecified.
+.SH ATTRIBUTES
+.sp
+.LP
+See \fBattributes\fR(5) for descriptions of the following attributes:
+.sp
+
+.sp
+.TS
+tab() box;
+cw(2.75i) |cw(2.75i) 
+lw(2.75i) |lw(2.75i) 
+.
+ATTRIBUTE TYPEATTRIBUTE VALUE
+_
+Interface StabilityStandard
+_
+MT-LevelMT-Safe
+.TE
+
+.SH SEE ALSO
+.sp
+.LP
+\fBisnan\fR(3M), \fBldexp\fR(3M), \fBmodf\fR(3M), \fBattributes\fR(5),
+\fBstandards\fR(5)
